# MSGCACHE

Section: Maintenance Commands (8)
Updated: Version 4.3.30: 4 Sep 2019
Index Return to Main Contents

## NAME

msgcache - Cache client messages for later pickup by xymonfetch

## SYNOPSIS

msgcache [options]

## DESCRIPTION

msgcache implements a Xymon message cache. It is intended for use with clients which cannot deliver their data to the Xymon server in the normal way. Instead of having the client tools connect to the Xymon server, msgcache runs locally and the client tools then deliver their data to the msgcache daemon. The msgcache daemon is then polled regularly by the xymonfetch(8) utility, which collects the client messages stored by msgcache and forwards them to the Xymon server.

NOTE: When using msgcache, the XYMSRV setting for the clients should be XYMSRV=127.0.0.1 instead of pointing at the real Xymon server.

## RESTRICTIONS

Clients delivering their data to msgcache instead of the real Xymon server will in general not notice this. Specifically, the client configuration data provided by the Xymon server when a client delivers its data is forwarded through the xymonfetch / msgcache chain, so the normal centralized client configuration works.

However, other commands which rely on clients communicating directly with the Xymon server will not work. This includes the config and query commands which clients may use to fetch configuration files and query the Xymon server for a current status.

The download command also does not work with msgcache. This means that the automatic client update facility will not work for clients communicating via msgcache.

## OPTIONS

--listen=IPADDRESS[:PORT]
  Defines the IP-address and portnumber where msgcache listens for incoming connections. By default, msgcache listens for connections on all network interfaces, port 1984.

--server=IPADDRESS[,IPADDRESS]
  Restricts which servers are allowed to pick up the cached messages. By default anyone can contact the msgcache utility and request all of the cached messages. This option allows only the listed servers to request the cached messages.

--max-age=N
  Defines how long cached messages are kept. If the message has not been picked up with N seconds after being delivered to msgcache, it is silently discarded. Default: N=600 seconds (10 minutes).

--daemon
  Run as a daemon, i.e. msgcache will detach from the terminal and run as a background task

--no-daemon
  Run as a foreground task. This option must be used when msgcache is started by xymonlaunch(8) which is the normal way of running msgcache.

--pidfile=FILENAME
  Store the process ID of the msgcache task in FILENAME.

--logfile=FILENAME
  Log msgcache output to FILENAME.

--debug
  Enable debugging output.

## SEE ALSO

xymonfetch(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
RESTRICTIONS
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 23:08:11 GMT, September 04, 2019